![PR welcome](https://camo.githubusercontent.com/b0ad703a46e8b249ef2a969ab95b2cb361a2866ecb8fe18495a2229f5847102d/68747470733a2f2f696d672e736869656c64732e696f2f62616467652f5052732d77656c636f6d652d627269676874677265656e2e737667)

The bootstrap 5 - grid only without root and reset

![bootstrap grid only](https://github.com/BitMorest/bootstrap-grid/blob/master/banner.png?raw=true)

## Install

`yarn add @bitmorest/bootstrap-grid` or `npm i @bitmorest/bootstrap-grid`

## Usage

with html

```html
<link rel="stylesheet" href="path/to/bootstrap-grid/css/bootstrap-grid.css" />
```

or with scss

```scss
@import "@bitmorest/bootstrap-grid/scss";
```

or you can import partial file for overwrite variables like the bootstrap

```scss
@import "@bitmorest/bootstrap-grid/scss/functions";

// overwrite variable here
@import "@bitmorest/bootstrap-grid/scss/variables";

// overwrite maps here
@import "@bitmorest/bootstrap-grid/scss/maps";

@import "@bitmorest/bootstrap-grid/scss/mixins";
@import "@bitmorest/bootstrap-grid/scss/components";
```

Bootstrap grid document

A. Layout

- **Brakepoint**: https://getbootstrap.com/docs/5.2/layout/breakpoints/
- **Container**: https://getbootstrap.com/docs/5.2/layout/containers/
- **Grid**: https://getbootstrap.com/docs/5.2/layout/grid/
- **Columns**: https://getbootstrap.com/docs/5.2/layout/columns/
- **Gutter**: https://getbootstrap.com/docs/5.2/layout/gutters/
-

B. Utilities

- **Display**: https://getbootstrap.com/docs/5.2/utilities/display/
- **Flex**: https://getbootstrap.com/docs/5.2/utilities/flex/
- **Float**: https://getbootstrap.com/docs/5.2/utilities/float/
- **Spacing**: https://getbootstrap.com/docs/5.
- **Text**: https://getbootstrap.com/docs/5.2/utilities/text/ _(Except text transform, Mono Space)_
